Get an asset instance

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/asset-instances/{instance_id}

Get an asset instance. An administrator can read all the asset instances. Other users must have access to the project of the asset. A vendor must also have a task on the asset.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the asset instance

Query parameters

  • relations boolean

    Add the related data. The default value is true.

    Default value is true.

Responses

  • 200 application/json

    The asset instance

    Hide response attributes Show response attributes object
    • id string(uuid)
    • asset_id string(uuid)
    • name string
    • number integer
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The identifier is not a valid UUID

  • 403

    You do not have access to the project of the asset, or you are a vendor without a task on the asset

  • 404

    The asset instance does not exist

GET /data/asset-instances/{instance_id}
curl -X GET "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25?relations=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "relations": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "asset_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Instance Name",
  "number": 1,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}